# Your Website

![](../static/images/logo.svg)

## About

The official website of **your website***

## Getting Started

### Fork the Repository

On the top right corner of the repository page, you will see a button labeled "Fork." Click on it. This action will create a copy of the template repository in your GitHub account.

### Clone the Forked Repository

After forking, go to your GitHub profile, and you should see the forked repository listed there. Click on it. On the right side, you will find a green button labeled "Code." Click on it, and you can either download the repository as a ZIP file or use Git to clone it to your local machine.

## Replace Template Images

USE IMAGE TEMPLATE ON: [FIGMA](https://www.figma.com/file/ZOf117YaHS3Gg3IJOvSIZ4/photo-templates?type=design&node-id=0%3A1&mode=design&t=WeavsHLNVCNYNoJg-1)

Access the provided image template by clicking on the link provided. The template is designed with a fixed format for images, and its layout includes predefined image frames with clear instructions for each section. Familiarize yourself with the template's structure and layout before proceeding.

Replace the existing image frames in the figma template with your own images, ensuring that they match the specified dimensions and aspect ratios to maintain responsiveness.

### Customizing Your Website
 Export the images from figma files on the new repository. Detailed instructions are provided within the figma file.
 
  Customize the content as needed to align with your website's theme and purpose, following the instructions within the file. After making these changes, export the images as image files. Be sure to follow any additional guidelines provided in the template file for optimization.

### Reviewing New Website Changes Locally

#### Access the Terminal
Within your code editor, open the terminal or command line interface. Make sure you are in the root directory of your website project in the terminal.

#### Run the Build Script: 
Type **./build.sh** in the terminal and press Enter. This script is responsible for building or compiling your website code and assets.

#### Run the Start Script: 
After the build process is complete, type **./start.sh** in the terminal and press Enter. This script typically starts a local development server.

Wait for the Localhost URL: The start script will initiate a local development server, and it will display a localhost URL, such as **http://localhost:xxxx**, where xxxx is a port number. Wait for this URL to be generated.

### Open the URL in Your Browser
Once the localhost URL is generated, open your web browser and enter the provided URL (e.g., http://localhost:xxxx). This will display your website locally, allowing you to review the changes you made.

### Publishing New Website

To publish your website with [ThreeFold's Operations team](https://github.com/threefoldtech/tf_operations/issues), create a new issue in their GitHub repository here, specifying your preferred domains. They will guide you through the process of domain allocation and setting up your site. Once it's live, test it thoroughly, and feel free to reach out for further support or updates.

Feel free to [create a new issue](your repo) to report an error on the website, or if you have any suggestions on website improvements. 

# Welcome to your Repository

- Website Name: your website
- Brief Description: This is the official website of yourwebsite.
Last Updated: March 2023

- Website URL: yourwebsite

- For any suggestions or improvement ideas please 
Create an issue on: repo

## Administrators
[ThreeFold's Web Admins](https://github.com/orgs/threefoldfoundation/teams/team_web_admin)

## Website Maintenance

![readme](https://user-images.githubusercontent.com/43240801/236867088-56c95abd-510c-4202-b0c5-317cdfb75cb3.png)

It is highly important to follow this procedure to contribute to the website content. <br>
__WARNING__: DO NOT commit straight into __master__ / __development__ branch.